Debian Bug report logs - #622620
O: argyll -- Color Management System, calibrator and profiler

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Roland Mas <lolando@debian.org>

Date: Wed, 13 Apr 2011 12:48:06 UTC

Severity: normal

Fixed in version argyll/1.3.5-1

Done: <marillat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, lolando@debian.org, debian-devel@lists.debian.org, debian-photo@lists.debian.org, pkg-phototools-devel@lists.alioth.debian.org, wnpp@debian.org:
Bug#622620; Package wnpp. (Wed, 13 Apr 2011 12:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Mas <lolando@debian.org>:
New Bug report received and forwarded. Copy sent to lolando@debian.org, debian-devel@lists.debian.org, debian-photo@lists.debian.org, pkg-phototools-devel@lists.alioth.debian.org, wnpp@debian.org. (Wed, 13 Apr 2011 12:48:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Roland Mas <lolando@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Subject: O: argyll -- Color Management System, calibrator and profiler
Date: Wed, 13 Apr 2011 14:46:12 +0200
Package: wnpp
Severity: normal

I think it's time for me to stop pretending I have enough
time/energy/interest to properly maintain Argyll.  I'm therefore
regretfully orphaning the package.

  Prospective adopters: most of the difficulty I've had in maintaining
this package comes from my switch of build system from Jam to
Autoconf/Automake/Libtool.  If you can live with Jam, then you'll
probably have an easier job.

  I'm quite prepared to offer sponsorship and/or guidance to anyone
willing to adopt the package and needing one or the other.

Roland.
-- 
Roland Mas

La menace de la baffe pèse plus lourd que la baffe elle-même.
  -- in Sri Raoul le petit yogi (Gaudelette)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#622620; Package wnpp. (Thu, 14 Apr 2011 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Debian Devel <debian-devel@lists.debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 14 Apr 2011 10:15:09 GMT) Full text and rfc822 format available.

Message #10 received at 622620@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Devel <debian-devel@lists.debian.org>
Cc: 622620@bugs.debian.org
Subject: Re: Bug#622620: O: argyll -- Color Management System, calibrator and profiler
Date: Thu, 14 Apr 2011 11:10:35 +0100
[Message part 1 (text/plain, inline)]
On Thu, 14 Apr 2011 10:44:36 +0200
Roland Mas <lolando@debian.org> wrote:

> Roland Mas, 2011-04-13 14:46:12 +0200 :
> 
> > Package: wnpp
> > Severity: normal
> >
> > I think it's time for me to stop pretending I have enough
> > time/energy/interest to properly maintain Argyll.  I'm therefore
> > regretfully orphaning the package.
> 
> I should add that any prospective adopter will most probably gain some
> karma points, given the hate mail I got as a reply to my orphaning.
> 
>   I'll keep my word, and my offer for sponsorship+guidance to
> prospective adopters still stands, but my enthusiasm just dropped a bit.

More likely that any potential adopter has already been put off
adopting it due to the reaction described. If that's how people react
to an orphaning process, the package would be better of removed from
Debian sooner rather than later, IMHO. The likelihood of any orphaned
package being adopted is never that high and for this package it just
went lower still.

If those who sent you hate mail fancy sending me some as a response to
my response then I'm happy with that. There's a very nice button on my
keyboard called Delete. I use it a lot, it's quite fun because hate
mail is so completely counter-productive. It makes me laugh that people
think that hate mail will encourage anyone to do anything except do
less work.

(Even better, there are filters which can automate 'delete' to save
wearing out the button.)

Come on, prove me wrong. There are obviously people out there who
purport to care about this package. How many are actually willing to do
the work? I know I'm not. Those who moan without doing the work cannot
complain when the work does not get done. If the work won't get done,
Debian would be well served by removing the package. Simple really.

I'm quite willing to file the RM bug myself if nothing happens by the
time I come around to looking through the list of orphaned packages
again.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#622620; Package wnpp. (Tue, 17 May 2011 06:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Mas <lolando@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 17 May 2011 06:30:07 GMT) Full text and rfc822 format available.

Message #15 received at 622620@bugs.debian.org (full text, mbox):

From: Roland Mas <lolando@debian.org>
To: 622620@bugs.debian.org
Subject: [Pascal de Bruijn] Re: O: argyll -- Color Management System, calibrator and profiler
Date: Tue, 17 May 2011 08:27:21 +0200
[Message part 1 (text/plain, inline)]
Forwarding an email I assume should have been directed at the bug.

[Message part 2 (message/rfc822, inline)]
From: Pascal de Bruijn <pmjdebruijn@pcode.nl>
To: Roland Mas <lolando@debian.org>
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: O: argyll -- Color Management System, calibrator and profiler
Date: Mon, 16 May 2011 22:57:02 +0200
On Wed, Apr 13, 2011 at 2:46 PM, Roland Mas <lolando@debian.org> wrote:
> Package: wnpp
> Severity: normal
>
> I think it's time for me to stop pretending I have enough
> time/energy/interest to properly maintain Argyll.  I'm therefore
> regretfully orphaning the package.

Thanks for your excellent work which I've been able to enjoy.

>  Prospective adopters: most of the difficulty I've had in maintaining
> this package comes from my switch of build system from Jam to
> Autoconf/Automake/Libtool.  If you can live with Jam, then you'll
> probably have an easier job.

I bumped Greame about modifying the Jam files slightly making
packaging a bit more easy.

I have a first version of Jam based packaging available here (Argyll
1.3.3 / Ubuntu Natty):

https://launchpad.net/~pmjdebruijn/+archive/argyll-release

>  I'm quite prepared to offer sponsorship and/or guidance to anyone
> willing to adopt the package and needing one or the other.

I'm not willing to take responsibility to maintain that package upstream. Sorry.

Regards,
Pascal de Bruijn

[Message part 3 (text/plain, inline)]

-- 
Roland Mas

$ chown -R us:us your_base*

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 19 Nov 2011 19:09:03 GMT) Full text and rfc822 format available.

Reply sent to <marillat@debian.org>:
You have taken responsibility. (Sun, 20 Nov 2011 22:21:31 GMT) Full text and rfc822 format available.

Notification sent to Roland Mas <lolando@debian.org>:
Bug acknowledged by developer. (Sun, 20 Nov 2011 22:21:31 GMT) Full text and rfc822 format available.

Message #22 received at 622620-close@bugs.debian.org (full text, mbox):

From: <marillat@debian.org>
To: 622620-close@bugs.debian.org
Subject: Bug#622620: fixed in argyll 1.3.5-1
Date: Sun, 20 Nov 2011 22:17:40 +0000
Source: argyll
Source-Version: 1.3.5-1

We believe that the bug you reported is fixed in the latest version of
argyll, which is due to be installed in the Debian FTP archive:

argyll-dbg_1.3.5-1_amd64.deb
  to main/a/argyll/argyll-dbg_1.3.5-1_amd64.deb
argyll_1.3.5-1.debian.tar.gz
  to main/a/argyll/argyll_1.3.5-1.debian.tar.gz
argyll_1.3.5-1.dsc
  to main/a/argyll/argyll_1.3.5-1.dsc
argyll_1.3.5-1_amd64.deb
  to main/a/argyll/argyll_1.3.5-1_amd64.deb
argyll_1.3.5.orig.tar.bz2
  to main/a/argyll/argyll_1.3.5.orig.tar.bz2
libicc-dev_2.12+argyll1.3.5-1_amd64.deb
  to main/a/argyll/libicc-dev_2.12+argyll1.3.5-1_amd64.deb
libicc2_2.12+argyll1.3.5-1_amd64.deb
  to main/a/argyll/libicc2_2.12+argyll1.3.5-1_amd64.deb
libimdi-dev_1.3.5-1_amd64.deb
  to main/a/argyll/libimdi-dev_1.3.5-1_amd64.deb
libimdi0_1.3.5-1_amd64.deb
  to main/a/argyll/libimdi0_1.3.5-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 622620@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
marillat@debian.org (supplier of updated argyll package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 13 Nov 2011 15:30:42 +0100
Source: argyll
Binary: argyll argyll-dbg libicc-dev libicc2 libimdi-dev libimdi0
Architecture: source amd64
Version: 1.3.5-1
Distribution: unstable
Urgency: low
Maintainer: Christian Marillat <marillat@debian.org>
Changed-By: marillat@debian.org
Description: 
 argyll     - Color Management System, calibrator and profiler
 argyll-dbg - debugging symbols for argyll
 libicc-dev - Development files for the ICC profile I/O library
 libicc2    - ICC profile I/O library
 libimdi-dev - Development files for the IMDI library
 libimdi0   - Integer Multi-Dimensional Interpolation routines (IMDI) library
Closes: 611139 622620 634688 636801 647093
Changes: 
 argyll (1.3.5-1) unstable; urgency=low
 .
   [ Christian Marillat ]
   * New maintainer (Closes: #622620) Thanks, Roland!
   * Use dh-autoreconf.
 .
   [ Dmitry Nezhevenko ]
   * New upstream release (Closes: #647093).
   * Switch to dpkg-source 3.0 (quilt) format.
   * Merge debian changes from 1.3.0 (experimental) and 1.1.1 (unstable).
   * Unsplit libicc2, built from the same source package again (since
     upstream only ships it as part of Argyll anyway).  Actually was already
     done in experimental (Closes: #636801).
   * Use kfreebsd-any instead of kfreebsd-(i386|amd64) to match kFreeBSD
     (Closes: #634688).
   * Provide dedicated libimdi0/libimdi-dev libraries (Closes: #611139).
   * Add argyll-dbg package with debug symbols.
Checksums-Sha1: 
 7db37c29e82eb8bff70d7b310ca7d57d2d79f167 1645 argyll_1.3.5-1.dsc
 9e58dcce83f1449b74490cda7f504b2da30de628 10850762 argyll_1.3.5.orig.tar.bz2
 8e209e9b41917d209aeafd5741dec747684099a7 32666 argyll_1.3.5-1.debian.tar.gz
 804f6d15c3a0cd0fda535c260aedc191dc308225 164712 libicc2_2.12+argyll1.3.5-1_amd64.deb
 6b4384ad46016257ec93a3e6e53bd82542c30dd3 186308 libicc-dev_2.12+argyll1.3.5-1_amd64.deb
 d8d11b1e8a09f3b89e4e7f738239d231dd6e9d9c 4483152 argyll_1.3.5-1_amd64.deb
 14a84b6c8b4e5519310b5ab44d7017f2b812372e 3229170 argyll-dbg_1.3.5-1_amd64.deb
 81032cd02901a60cc1d5f3f5d361c81e750b5769 299348 libimdi-dev_1.3.5-1_amd64.deb
 3a5f2d092d1fb1c2a2e603226329cb4215501abe 300298 libimdi0_1.3.5-1_amd64.deb
Checksums-Sha256: 
 3d14969a205a4cc45e94ffea4bf267e6d5d786474cb31c127673d79826337e7e 1645 argyll_1.3.5-1.dsc
 6bdf18862e60d2a9fcaddb6bcaf1b54f3442ab56a92e144a032eccce607c36fc 10850762 argyll_1.3.5.orig.tar.bz2
 e628f1994ad832e6f4c1bf63a32fb846d59c92937f25bfb97259a02565c8dc8b 32666 argyll_1.3.5-1.debian.tar.gz
 3a21bdbf2bc1628b6b4fe61c424344650b983a9f1653d4172e20c4d05da77221 164712 libicc2_2.12+argyll1.3.5-1_amd64.deb
 22f8f4132da80b220c1cd5b4de4d91d6a057365cef05039cef76099c95e2918a 186308 libicc-dev_2.12+argyll1.3.5-1_amd64.deb
 8e147781b544b14405c952811704e041b47ee9765d3549f8a040d561a25fb659 4483152 argyll_1.3.5-1_amd64.deb
 b9dbbf235da4da146b9fb5d18695dc3c5afccda54415704ca193f28fcd7c90d1 3229170 argyll-dbg_1.3.5-1_amd64.deb
 96a1445a1238dc2ad7e5d597f685728b96a7c0b8d53642dd0239995d39ff949d 299348 libimdi-dev_1.3.5-1_amd64.deb
 fdc4c19b4d7ba415fdcea6987b15954da5756a087628473efc3e39d8e2f147ea 300298 libimdi0_1.3.5-1_amd64.deb
Files: 
 6e7fe18d2cba0d8667e6832b39626300 1645 graphics optional argyll_1.3.5-1.dsc
 1a5e5ab25be96d7c1354f5803a73d500 10850762 graphics optional argyll_1.3.5.orig.tar.bz2
 a713daffb2ee7b911c61bfc2ffae82b8 32666 graphics optional argyll_1.3.5-1.debian.tar.gz
 f24648eb8ee7f6e602371d01b664f36c 164712 libs optional libicc2_2.12+argyll1.3.5-1_amd64.deb
 f6cc953ce4c53e56a5b90acc62c1130d 186308 libdevel optional libicc-dev_2.12+argyll1.3.5-1_amd64.deb
 6ae8303b327f20674b29fb90c990a4d4 4483152 graphics optional argyll_1.3.5-1_amd64.deb
 65830700948c202745339d1328c693df 3229170 debug extra argyll-dbg_1.3.5-1_amd64.deb
 37d0146303a4c037a57da882ddf631b5 299348 libdevel optional libimdi-dev_1.3.5-1_amd64.deb
 529bb5edb78a1c2a1f1581f9288ff72d 300298 libs optional libimdi0_1.3.5-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOx84FB9xWPR9BuQcRApN2AKCQC/tz3Ejp3oYMI3Y5A22X/YEmRACfRSuv
fiJGHKsm3+8z4vDEuo8dqu4=
=v7aA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 19 Dec 2011 07:34:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:31:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.